# Uses of Class
org.apache.lucene.util.quantization.QuantizedByteVectorValues

Packages that use QuantizedByteVectorValues
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.util.quantization
Provides quantization methods for scaling vector values to smaller data types and possibly fewer dimensions

## Uses of QuantizedByteVectorValues in org.apache.lucene.codecs.hnsw

Constructors in org.apache.lucene.codecs.hnsw with parameters of type QuantizedByteVectorValues
Modifier
Constructor
Description
``
`ScalarQuantizedRandomVectorScorerSupplier(VectorSimilarityFunction similarityFunction, ScalarQuantizer scalarQuantizer, QuantizedByteVectorValues values)`

## Uses of QuantizedByteVectorValues in org.apache.lucene.codecs.lucene99

Subclasses of QuantizedByteVectorValues in org.apache.lucene.codecs.lucene99
Modifier and Type
Class
Description
`class`
`OffHeapQuantizedByteVectorValues`
Read the quantized vector values and their score correction values from the index input.
`static class`
`OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`
Dense vector values that are stored off-heap.
Methods in org.apache.lucene.codecs.lucene99 that return QuantizedByteVectorValues
Modifier and Type
Method
Description
`QuantizedByteVectorValues`
Lucene99HnswVectorsReader.`getQuantizedVectorValues(String field)`
`QuantizedByteVectorValues`
Lucene99ScalarQuantizedVectorsReader.`getQuantizedVectorValues(String fieldName)`
Methods in org.apache.lucene.codecs.lucene99 with parameters of type QuantizedByteVectorValues
Modifier and Type
Method
Description
`static DocsWithFieldSet`
Lucene99ScalarQuantizedVectorsWriter.`writeQuantizedVectorData(IndexOutput output, QuantizedByteVectorValues quantizedByteVectorValues, byte bits, boolean compress)`
Writes the vector values to the output and returns a set of documents that contains vectors.

## Uses of QuantizedByteVectorValues in org.apache.lucene.util.quantization

Methods in org.apache.lucene.util.quantization that return QuantizedByteVectorValues
Modifier and Type
Method
Description
`QuantizedByteVectorValues`
QuantizedByteVectorValues.`copy()`
`QuantizedByteVectorValues`
QuantizedVectorsReader.`getQuantizedVectorValues(String fieldName)`